Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.servlet.logging
Class HttpAccountingInfoImpl

    java.lang.Object
      |
      +--weblogic.servlet.logging.HttpAccountingInfoImpl

public final class HttpAccountingInfoImpl
extends java.lang.Object
implements HttpAccountingInfo

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`HttpAccountingInfoImpl(weblogic.servlet.internal.ServletRequestImpl request)`

Method Summary
`void` | `clear()`
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Enumeration` | `getAttributeNames()`
`java.lang.String` | `getAuthType()`
`java.lang.String` | `getCharacterEncoding()`
`java.lang.String` | `getContentType()`
`java.lang.String` | `getContextPath()`
`javax.servlet.http.Cookie[]` | `getCookies()`
`long` | `getDateHeader(java.lang.String name)`
`java.lang.String` | `getHeader(java.lang.String name)`
`java.util.Enumeration` | `getHeaderNames()`
`java.util.Enumeration` | `getHeaders(java.lang.String name)`
`int` | `getIntHeader(java.lang.String name)`
`long` | `getInvokeTime()`
`java.util.Locale` | `getLocale()`
`java.util.Enumeration` | `getLocales()`
`java.lang.String` | `getMethod()`
`java.lang.String` | `getParameter(java.lang.String name)`
`java.util.Enumeration` | `getParameterNames()`
`java.lang.String[]` | `getParameterValues(java.lang.String name)`
`java.lang.String` | `getPathInfo()`
`java.lang.String` | `getPathTranslated()`
`java.lang.String` | `getProtocol()`
`java.lang.String` | `getQueryString()`
`java.lang.String` | `getRemoteAddr()`
`java.lang.String` | `getRemoteHost()`
`java.lang.String` | `getRemoteUser()`
`java.lang.String` | `getRequestedSessionId()`
`java.lang.String` | `getRequestURI()`
`int` | `getResponseContentLength()`
`java.lang.String` | `getResponseHeader(java.lang.String name)`
`int` | `getResponseStatusCode()`
`java.lang.String` | `getScheme()`
`java.lang.String` | `getServerName()`
`int` | `getServerPort()`
`java.lang.String` | `getServletPath()`
`byte[]` | `getURIAsBytes()`
`java.security.Principal` | `getUserPrincipal()`
`void` | `init(weblogic.servlet.internal.ServletRequestImpl req, weblogic.security.acl.internal.AuthenticatedSubject subject)`
`boolean` | `isRequestedSessionIdFromCookie()`
`boolean` | `isRequestedSessionIdFromUrl()`
`boolean` | `isRequestedSessionIdFromURL()`
`boolean` | `isRequestedSessionIdValid()`
`boolean` | `isSecure()`
`void` | `setRemoteUser(java.lang.String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpAccountingInfoImpl

    public HttpAccountingInfoImpl(weblogic.servlet.internal.ServletRequestImpl request)

Method Detail

### init

    public void init(weblogic.servlet.internal.ServletRequestImpl req,
                     weblogic.security.acl.internal.AuthenticatedSubject subject)

### clear

    public void clear()

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Specified by:
    getAttribute in interface HttpAccountingInfo

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Specified by:
    getAttributeNames in interface HttpAccountingInfo

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    getCharacterEncoding in interface HttpAccountingInfo

### getResponseContentLength

    public int getResponseContentLength()

  Specified by:
    getResponseContentLength in interface HttpAccountingInfo

### getContentType

    public java.lang.String getContentType()

  Specified by:
    getContentType in interface HttpAccountingInfo

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    getLocale in interface HttpAccountingInfo

### getLocales

    public java.util.Enumeration getLocales()

  Specified by:
    getLocales in interface HttpAccountingInfo

### getParameter

    public java.lang.String getParameter(java.lang.String name)

  Specified by:
    getParameter in interface HttpAccountingInfo

### getParameterNames

    public java.util.Enumeration getParameterNames()

  Specified by:
    getParameterNames in interface HttpAccountingInfo

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

  Specified by:
    getParameterValues in interface HttpAccountingInfo

### getProtocol

    public java.lang.String getProtocol()

  Specified by:
    getProtocol in interface HttpAccountingInfo

### getRemoteAddr

    public java.lang.String getRemoteAddr()

  Specified by:
    getRemoteAddr in interface HttpAccountingInfo

### getRemoteHost

    public java.lang.String getRemoteHost()

  Specified by:
    getRemoteHost in interface HttpAccountingInfo

### getScheme

    public java.lang.String getScheme()

  Specified by:
    getScheme in interface HttpAccountingInfo

### getServerName

    public java.lang.String getServerName()

  Specified by:
    getServerName in interface HttpAccountingInfo

### getServerPort

    public int getServerPort()

  Specified by:
    getServerPort in interface HttpAccountingInfo

### isSecure

    public boolean isSecure()

  Specified by:
    isSecure in interface HttpAccountingInfo

### getAuthType

    public java.lang.String getAuthType()

  Specified by:
    getAuthType in interface HttpAccountingInfo

### getContextPath

    public java.lang.String getContextPath()

  Specified by:
    getContextPath in interface HttpAccountingInfo

### getCookies

    public javax.servlet.http.Cookie[] getCookies()

  Specified by:
    getCookies in interface HttpAccountingInfo

### getDateHeader

    public long getDateHeader(java.lang.String name)

  Specified by:
    getDateHeader in interface HttpAccountingInfo

### getHeader

    public java.lang.String getHeader(java.lang.String name)

  Specified by:
    getHeader in interface HttpAccountingInfo

### getHeaderNames

    public java.util.Enumeration getHeaderNames()

  Specified by:
    getHeaderNames in interface HttpAccountingInfo

### getHeaders

    public java.util.Enumeration getHeaders(java.lang.String name)

  Specified by:
    getHeaders in interface HttpAccountingInfo

### getIntHeader

    public int getIntHeader(java.lang.String name)

  Specified by:
    getIntHeader in interface HttpAccountingInfo

### getMethod

    public java.lang.String getMethod()

  Specified by:
    getMethod in interface HttpAccountingInfo

### getPathInfo

    public java.lang.String getPathInfo()

  Specified by:
    getPathInfo in interface HttpAccountingInfo

### getPathTranslated

    public java.lang.String getPathTranslated()

  Specified by:
    getPathTranslated in interface HttpAccountingInfo

### getQueryString

    public java.lang.String getQueryString()

  Specified by:
    getQueryString in interface HttpAccountingInfo

### setRemoteUser

    public void setRemoteUser(java.lang.String username)

### getRemoteUser

    public java.lang.String getRemoteUser()

  Specified by:
    getRemoteUser in interface HttpAccountingInfo

### getRequestURI

    public java.lang.String getRequestURI()

  Specified by:
    getRequestURI in interface HttpAccountingInfo

### getRequestedSessionId

    public java.lang.String getRequestedSessionId()

  Specified by:
    getRequestedSessionId in interface HttpAccountingInfo

### getServletPath

    public java.lang.String getServletPath()

  Specified by:
    getServletPath in interface HttpAccountingInfo

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

  Specified by:
    getUserPrincipal in interface HttpAccountingInfo

### isRequestedSessionIdFromCookie

    public boolean isRequestedSessionIdFromCookie()

  Specified by:
    isRequestedSessionIdFromCookie in interface HttpAccountingInfo

### isRequestedSessionIdFromURL

    public boolean isRequestedSessionIdFromURL()

  Specified by:
    isRequestedSessionIdFromURL in interface HttpAccountingInfo

### isRequestedSessionIdFromUrl

    public boolean isRequestedSessionIdFromUrl()

  Specified by:
    isRequestedSessionIdFromUrl in interface HttpAccountingInfo

### isRequestedSessionIdValid

    public boolean isRequestedSessionIdValid()

  Specified by:
    isRequestedSessionIdValid in interface HttpAccountingInfo

### getURIAsBytes

    public byte[] getURIAsBytes()

  Specified by:
    getURIAsBytes in interface HttpAccountingInfo

### getInvokeTime

    public long getInvokeTime()

  Specified by:
    getInvokeTime in interface HttpAccountingInfo

### getResponseStatusCode

    public int getResponseStatusCode()

  Specified by:
    getResponseStatusCode in interface HttpAccountingInfo

### getResponseHeader

    public java.lang.String getResponseHeader(java.lang.String name)

  Specified by:
    getResponseHeader in interface HttpAccountingInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD